#include "../../src/Battling/EventHooks/CaptureAttemptEvent.hpp"
#include "../../src/Battling/EventHooks/WeatherChangeEvent.hpp"
#include "../Core.hpp"
using namespace PkmnLib::Battling;

export void PkmnLib_WeatherChangeEvent_Destruct(WeatherChangeEvent* p) { delete p; }
export const char* PkmnLib_WeatherChangeEvent_GetWeatherName(WeatherChangeEvent* p) {
    return p->GetWeatherName().c_str();
}

export void PkmnLib_CaptureAttemptEvent_Destruct(CaptureAttemptEvent* p) { delete p; }
export const PkmnLib::Battling::Pokemon* PkmnLib_CaptureAttemptEvent_GetPokemon(CaptureAttemptEvent* p) {
    return p->GetPokemon();
}
export const PkmnLib::Battling::CaptureLibrary::CaptureResult
PkmnLib_CaptureAttemptEvent_GetResult(CaptureAttemptEvent* p) {
    return p->GetResult();
}